<?php

function falar_enqueue_style() {
    wp_enqueue_style( "parent-style" , get_parent_theme_file_uri( "/style.css" ) );
}
add_action( 'wp_enqueue_scripts', 'falar_enqueue_style' );
function render_menu_columns($menu_name, $title) {
    $output = '';
    $locations = get_nav_menu_locations();

    if (isset($locations[$menu_name])) {
        $menu = wp_get_nav_menu_object($locations[$menu_name]);
        $menu_items = wp_get_nav_menu_items($menu->term_id);

        // Split into 2 roughly equal chunks
        $top_level_items = array_filter($menu_items, function($item) {
            return $item->menu_item_parent == 0;
        });
        $chunks = array_chunk($top_level_items, ceil(count($top_level_items) / 2));

        $output .= '<div class="sitemap-menu-columns">';
        $output .= '<h2>' . esc_html($title) . '</h2><div class="menu-column-wrapper">';

        foreach ($chunks as $column_items) {
            $output .= '<ul class="menu-column">';
            foreach ($column_items as $item) {
                $output .= '<li><b><a href="' . esc_url($item->url) . '">' . esc_html($item->title) . '</b></a>';

                // Find children
                $children = array_filter($menu_items, function($sub_item) use ($item) {
                    return $sub_item->menu_item_parent == $item->ID;
                });

                if (!empty($children)) {
                    $output .= '<ul>';
                    foreach ($children as $child) {
                        $output .= '<li><a href="' . esc_url($child->url) . '">' . esc_html($child->title) . '</a></li>';
                    }
                    $output .= '</ul>';
                }

                $output .= '</li>';
            }
            $output .= '</ul>';
        }

        $output .= '</div></div>';
    } else {
        $output .= '<div class="sitemap-menu"><p>Menu "' . esc_html($menu_name) . '" not found.</p></div>';
    }

    return $output;
}

function sitemap_four_column_shortcode() {
    $html = '<div class="sitemap-wrapper"><div class="sitemap-grid-four">';
    $html .= render_menu_columns('left_menu', '');
    $html .= render_menu_columns('right_menu', '');
    $html .= '</div></div>';
    return $html;
}
add_shortcode('sitemap_columns', 'sitemap_four_column_shortcode');


?>